package cn.stylefeng.workflow.log.modular.service;

import cn.stylefeng.roses.kernel.db.api.pojo.page.PageResult;
import cn.stylefeng.workflow.api.entity.log.FlowEngineLog;
import cn.stylefeng.workflow.log.api.WorkflowLogApi;
import cn.stylefeng.workflow.log.modular.pojo.request.FlowEngineLogRequest;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface FlowEngineLogService extends IService<FlowEngineLog>, WorkflowLogApi {

    void add(FlowEngineLogRequest flowEngineLogRequest);

    void del(FlowEngineLogRequest flowEngineLogRequest);

    void edit(FlowEngineLogRequest flowEngineLogRequest);

    FlowEngineLog detail(FlowEngineLogRequest flowEngineLogRequest);

    List<FlowEngineLog> findList(FlowEngineLogRequest flowEngineLogRequest);

    PageResult<FlowEngineLog> findPage(FlowEngineLogRequest flowEngineLogRequest);

    List<FlowEngineLog> nodeLogList(FlowEngineLogRequest flowEngineLogRequest);

}